<template lang="pug">
  .highlighted-text
    .box
      span
        slot
    img.corner.top-right-corner(src="~/assets/img/paint/bottom-left-corner.webp", alt='')
    img.corner.bottom-left-corner(src="~/assets/img/paint/bottom-left-corner.webp", alt='')
</template>

<script>
export default {}
</script>

<style lang="scss">
.highlighted-text {
  position: relative;
  display: flex;
  color: black;

  .box {
    background-color: white;
    margin: 1em;

    border-radius: 1.7em;
    padding: 3em;

    span {
      font-size: 1.2em;
    }
  }

  img.corner {
    position: absolute;
    max-width: 8em;

    &.top-right-corner {
      top: 0;
      right: 0;
      transform: rotate(180deg);
    }

    &.bottom-left-corner {
      bottom: 0;
      left: 0;
    }
  }
}
</style>
